import * as sulla from './dist';

const start = async () => {
  const client = await sulla.create('session-new', undefined, {
    headless: false,
  });

  // State change
  client.onStateChange((state: sulla.SocketState) => {
    console.log(state);
    const conflits = [
      sulla.SocketState.CONFLICT,
      sulla.SocketState.UNPAIRED,
      sulla.SocketState.UNLAUNCHED,
    ];
    if (conflits.includes(state)) {
      client.useHere();
    }
  });

  // Group event
  client.onParticipantsChanged('5218114140740-1580157850@g.us', (event) => {
    console.log('Event', event);
  });

  client.onMessage(async (message) => {
    if (message.from === '5218114140740@c.us') {
      client.sendFile(
        message.from,
        'assets/tester.mp4',
        'ordersnproducts.mp4',
        'Hi'
      );
      const status = await client.getStatus(message.from);
      console.log(status);
    }
  });
};

start();
